[ARM Testing Update] 2020-06-08 - Wire Desktop, QT5, Thunderbird and kernels

Hello ARM community.

A smaller testing update this time!

Wire-Linux


Some highlights:

  • Some of our kernels got updated
  • Added Wire Desktop to the repo
  • Updated QT5 to 5.15.0
  • Thunderbird got a new point release 68.9.0
  • Lots of python packages got updated

Upstream Notifications:

Older notifications

The nss package requires manual intervention:
https://www.archlinux.org/news/nss3511-1-and-lib32-nss3511-1-updates-require-manual-intervention/
The packages hplip and firewalld requires manual intervention:
https://www.archlinux.org/news/hplip-3203-2-update-requires-manual-intervention/
https://www.archlinux.org/news/firewalld081-2-update-requires-manual-intervention/


Package Changes (Mon Jun 8 20:19:04 CEST 2020)

  • arm-testing community aarch64: 217 new and 209 removed package(s)
  • arm-testing core aarch64: 34 new and 36 removed package(s)
  • arm-testing extra aarch64: 190 new and 188 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-04         2020-06-08
-------------------------------------------------------------------------------
                            electron              9.0.1-1              9.0.3-1
                                kodi               18.6-2               18.6-3
                            kodi-bin               18.6-2               18.6-3
                            kodi-dev               18.6-2               18.6-3
                   kodi-eventclients               18.6-2               18.6-3
            kodi-tools-texturepacker               18.6-2               18.6-3
                          rpi-eeprom         2020.05.28-1         2020.06.03-1
                               snapd               2.45-1             2.45.1-1
                         uboot-tools          2018.07-1.1            2020.04-1
                        wire-desktop                    -          3.18.2925-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-04         2020-06-08
-------------------------------------------------------------------------------
                                 arb             2.17.0-1             2.17.0-2
                             aws-cli            1.18.67-1            1.18.74-1
                         aws-sdk-cpp            1.7.306-1            1.7.347-1
                                axel             2.17.8-1             2.17.9-1
                               balsa              2.5.9-1              2.6.1-2
                             blender          17:2.82.a-8            17:2.83-1
                             bpython               0.18-3               0.19-1
                             calibre             4.17.0-1             4.18.0-1
                      calibre-common             4.17.0-1             4.18.0-1
                     calibre-python3             4.17.0-1             4.18.0-1
                             cargo-c              0.6.5-1              0.6.7-1
                         cargo-watch              7.3.0-2              7.4.1-1
            cinnamon-settings-daemon              4.6.0-1              4.6.1-1
                            clipmenu              6.0.1-1              6.1.0-1
                          clusterssh               4.14-1               4.15-1
                           cpp-hocon              0.2.1-6              0.2.2-1
                            cppcheck                2.0-1                2.0-2
                                dart              2.8.3-1              2.8.4-1
                      dnscrypt-proxy             2.0.42-2             2.0.42-3
                      docker-compose             1.25.5-1             1.26.0-1
                              drupal              8.8.6-1              9.0.0-1
                             e-antic              0.1.5-1              0.1.5-2
                               eclib           20190909-8           20190909-9
                              eslint              7.1.0-1              7.2.0-1
                                exim               4.93-2               4.94-1
                              facter             3.14.6-2            3.14.11-1
                              faudio              20.05-1              20.06-1
                           fcitx-qt5              1.2.4-4              1.2.4-5
                              fcitx5     0.0.0.20200603-1     0.0.0.20200607-1
               fcitx5-chinese-addons     0.0.0.20200602-1     0.0.0.20200606-1
                          fcitx5-gtk     0.0.0.20200526-1     0.0.0.20200607-1
                           fcitx5-qt     0.0.0.20200528-1     0.0.0.20200603-1
                          fcitx5-skk     0.0.0.20200523-1     0.0.0.20200523-2
                       fcitx5-unikey     0.0.0.20200527-1     0.0.0.20200527-2
                    firefox-noscript            11.0.26-1            11.0.29-1
                               flint             2.5.2-29              2.6.0-1
                                 fzf             0.21.1-1             0.21.1-2
                            gammaray             2.11.1-2             2.11.1-3
                                 gap             4.11.0-2             4.11.0-3
                             gap-doc             4.11.0-2             4.11.0-3
                        gap-packages             4.11.0-2             4.11.0-3
                                gcin              2.9.0-1              2.9.0-2
                             gnubiff             2.2.17-5             2.2.17-6
                            gnuchess              6.2.6-1              6.2.7-1
                            gnuradio            3.8.0.0-9            3.8.1.0-1
                  gnuradio-companion            3.8.0.0-9            3.8.1.0-1
                 gnuradio-fcdproplus              3.8.0-4              3.8.0-5
                      gnuradio-iqbal            0.37.2-37             0.38.1-1
                    gnuradio-osmosdr              0.2.0-3              0.2.0-4
      golang-github-stretchr-testify              1.5.1-1              1.6.0-1
                          googlemaps          20180602-12          20180602-13
                                gqrx             2.12.1-2             2.12.1-3
                                helm              3.2.1-1              3.2.2-1
                        herbstluftwm              0.8.2-1              0.8.3-1
                                 hey              0.1.3-2              0.1.3-3
                                hugo             0.71.1-1             0.72.0-1
                          hyperkitty              1.3.2-6              1.3.3-1
                            jacktrip                1.1-6                1.2-1
                                josm              16239-1              16538-1
                    jupyter-nbformat              4.4.0-4              5.0.6-1
                                 k9s             0.20.2-1             0.20.5-1
                          kcm-fcitx5     0.0.0.20200601-1     0.0.0.20200603-2
                       kodi-platform   20190726.809c5e9-7  20190726.809c5e9-10
                          leatherman              1.7.2-3             1.12.0-1
                            libfm-qt             0.15.1-1             0.15.1-2
                              libiio               0.19-2               0.20-1
                            libqtxdg              3.5.0-1              3.5.0-2
                 libretro-beetle-psx               2313-1               2313-2
              libretro-beetle-psx-hw               2313-1               2313-2
                          libtermkey               0.22-1               0.22-2
                              libuhd           3.15.0.0-2           3.15.0.0-3
                             libvolk              2.2.1-1              2.3.0-1
                         libwhereami              0.3.1-2              0.5.0-1
                                 lrs              070.a-2                071-3
                                 lxd                4.1-1                4.2-1
                       lxqt-qtplugin             0.15.1-1             0.15.1-2
                             mailnag              2.0.0-1              2.0.0-2
                       mediathekview             13.5.1-2             13.5.1-3
                       microsoft-gsl              3.0.0-1              3.1.0-1
                            minisign                0.8-2                0.9-1
                            minitube                3.4-1              3.4.1-1
                           mosquitto              1.6.9-2             1.6.10-1
                           msgpack-c              3.2.1-1              3.3.0-1
                                mypy              0.770-1              0.780-1
                           nextcloud             18.0.4-1             19.0.0-1
             nextcloud-app-bookmarks           1:3.0.13-1            1:3.1.1-1
                  nextcloud-app-deck            1:1.0.1-1            1:1.0.2-1
                nextcloud-app-spreed            1:8.0.9-1            1:9.0.0-1
                            normaliz              3.8.4-2              3.8.5-2
                           opensmtpd            6.7.1p1-3            6.7.1p1-4
                            pageedit              1.2.0-1              1.2.0-2
                                 pcb            1:4.2.0-1            1:4.2.2-1
                                  pd             0.50.2-3             0.51.0-1
                  perl-array-compare              3.0.2-1              3.0.3-1
                perl-gtk3-simplelist               0.18-1               0.19-1
                              pesign              0.112-2                113-1
                    pidgin-libnotify              0.14-11              0.14-12
                                po4a               0.58-1             0.59.1-1
                            polymake             4.0.r1-3             4.0.r1-6
                           postorius              1.3.2-4              1.3.3-1
                                 psi                1.4-3                1.4-5
                     psi-nowebengine                1.4-3                1.4-5
                               pynac             0.7.26-3             0.7.26-4
                  python-aiobotocore              1.0.4-1              1.0.7-1
                 python-aioitertools              0.7.0-2              0.7.0-3
                      python-apispec              3.3.0-1              3.3.1-1
                        python-boto3            1.13.17-1            1.13.24-1
                     python-botocore            1.16.17-1            1.16.24-1
                     python-cfn-lint             0.32.1-2             0.33.0-1
                      python-crayons              0.3.0-2              0.3.1-1
                python-debtcollector              2.0.1-1              2.1.0-1
                   python-diff-cover              2.6.1-1              3.0.1-1
                python-django-filter              2.2.0-2              2.3.0-1
              python-django-mailman3              1.3.2-1              1.3.4-1
                      python-dropbox             10.1.2-1             10.2.0-1
                      python-fastapi             0.55.1-1             0.55.1-2
             python-flask-sqlalchemy              2.4.2-1              2.4.3-1
                         python-flit              2.3.0-4              2.3.0-5
                    python-flit-core              2.3.0-4              2.3.0-5
                       python-gevent             20.5.2-1             20.6.0-1
                  python-google-auth             1.16.0-1             1.16.1-1
                     python-httplib2             0.17.4-1             0.18.1-1
                     python-identify             1.4.18-1             1.4.19-1
                   python-jsonpickle                1.3-1              1.4.1-1
               python-jupyter_client              6.0.0-1              6.1.3-1
                      python-keyring             21.2.0-1             21.2.1-1
              python-language-server             0.33.0-1             0.33.1-1
                     python-m2crypto             0.35.2-2             0.35.2-3
                python-mailmanclient              3.3.0-1              3.3.1-1
                   python-matrix-nio             0.12.0-1             0.13.0-1
                         python-mox3              1.0.0-3              1.1.0-1
                python-nmigen-boards       r100.18315d8-1       r105.86ae791-1
             python-oslo-concurrency              4.0.2-1              4.1.0-1
                 python-oslo-context              3.0.2-1              3.1.0-1
                    python-oslo-i18n              4.0.1-1              5.0.0-1
                     python-oslo-log              4.2.0-1              4.2.1-1
           python-oslo-serialization              3.1.1-1              3.2.0-1
                   python-oslo-utils              4.1.1-1              4.2.0-1
                     python-oslotest              4.2.0-1              4.3.0-1
                        python-paste              3.4.0-2              3.4.1-1
                 python-phonenumbers             8.12.4-1             8.12.5-1
                   python-pre-commit              2.3.0-1              2.4.0-1
                        python-pyicu              2.4.3-2                2.5-1
               python-setuptools-scm              3.5.0-1              4.1.2-1
             python-sortedcontainers              2.1.0-4              2.2.1-1
                    python-stevedore             1.32.0-1              2.0.0-1
                    python-testinfra              5.0.0-1              5.1.0-1
                          python-tox             3.15.1-1             3.15.2-1
                         python-tqdm             4.46.0-1             4.46.1-1
                python-uncertainties              3.1.2-3              3.1.4-1
                    python-xmlschema              1.1.3-1              1.2.0-1
                        python2-docs             2.7.16-1             2.7.18-1
                      python2-gevent             20.5.2-1             20.6.0-1
                    python2-httplib2             0.17.4-1             0.18.1-1
                    python2-m2crypto             0.35.2-2             0.35.2-3
              python2-setuptools-scm              3.5.0-1              4.1.2-1
                         python2-tox             3.15.1-1             3.15.2-1
                                qgis             3.12.3-1             3.12.3-2
              qt5-ukui-platformtheme              1.0.2-1              1.0.2-2
                               qt5ct               0.41-2               0.41-5
                      quassel-client             0.13.1-2             0.13.1-3
                quassel-client-small             0.13.1-2             0.13.1-3
                        quassel-core             0.13.1-2             0.13.1-3
                  quassel-monolithic             0.13.1-2             0.13.1-3
                      radare2-cutter           1:1.10.3-1           1:1.10.3-2
                            radicale              3.0.2-1              3.0.3-1
                                raft             0.9.22-1             0.9.23-1
                       roundcubemail              1.4.4-1              1.4.5-1
                            ruby-irb              1.2.1-1              1.2.4-1
                         ruby-reline              0.0.7-2              0.1.4-1
                        rust-bindgen             0.53.3-1             0.54.0-1
                               sigil              1.2.1-1              1.2.1-2
                            singular           4.1.3.p2-1           4.1.3.p2-2
                             skrooge             2.21.1-4             2.22.1-1
                         slirp4netns              1.0.1-1              1.1.1-1
                               smb4k              3.0.5-1              3.0.6-1
                       soapyplutosdr              0.2.0-3              0.2.0-4
                              spdlog              1.5.0-1              1.6.1-1
                           sqlcipher              4.3.0-1              4.4.0-1
                              stella              6.1.1-1              6.1.2-1
                         stratis-cli              2.0.1-2              2.1.0-1
                           stylelint             13.5.0-1             13.6.0-1
                              sympol              0.1.9-5              0.1.9-6
                        systemd-swap              4.0.1-2              4.1.0-1
                    telegram-desktop              2.1.7-1             2.1.10-1
                             tellico                3.3-2              3.3.1-1
                          typescript              3.9.3-1              3.9.5-1
                  ukui-window-switch              2.0.3-1              2.0.3-2
                           unibilium              2.1.0-1              2.1.0-2
                               v2ray             4.23.3-1             4.23.4-1
         v2ray-domain-list-community       202006030611-1       202006071453-1
                        vim-nerdtree              6.7.7-1              6.7.9-1
                                 vis  0.5.r200.ge1d81ac-1                0.6-1
                           waylandpp              0.2.7-1              0.2.7-2
                             wiznote              2.8.3-1              2.8.4-1
                          xcb-imdkit     0.0.0.20200515-1     0.0.0.20200607-1
                               yosys                0.9-4                0.9-5
                          youtube-dl         2020.05.29-1         2020.06.06-1
                      youtube-viewer            1:3.7.5-1            1:3.7.6-1
                     zsh-completions             0.31.0-1             0.32.0-1
                             cawbird                    -              1.1.0-1
                               kvirc                    -              5.0.0-1
                          persepolis                    -              3.2.0-5
                       python-dotenv                    -             0.13.0-2
                      ruby-vimrunner                    -              0.3.4-1
                          torrential                    -              1.1.0-3
                    vim-editorconfig                    -              1.1.1-1


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-04         2020-06-08
-------------------------------------------------------------------------------
                       linux-aarch64              5.7.0-1              5.7.1-1
               linux-aarch64-headers              5.7.0-1              5.7.1-1
                   linux-pinebookpro              5.6.0-2              5.7.0-1
           linux-pinebookpro-headers              5.6.0-2              5.7.0-1
                          linux-rpi4           4.19.122-1           4.19.126-2
                  linux-rpi4-headers           4.19.122-1           4.19.126-2
                 linux-rpi4-mainline             5.6.14-2             5.6.16-2
         linux-rpi4-mainline-headers             5.6.14-2             5.6.16-2
                     linux-rpi4-next             5.4.42-2             5.4.44-2
             linux-rpi4-next-headers             5.4.42-2             5.4.44-2
                          linux-vim3              5.3.0-1                    -
                  linux-vim3-headers              5.3.0-1                    -
              raspberrypi-bootloader           20200601-1           20200606-1
            raspberrypi-bootloader-x           20200601-1           20200606-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-04         2020-06-08
-------------------------------------------------------------------------------
                   archlinux-keyring           20200422-1           20200603-1
                              dhcpcd              9.1.0-1              9.1.1-1
                               gnupg             2.2.20-2             2.2.20-4
                              gnutls             3.6.13-2             3.6.14-1
                            iana-etc           20200511-1           20200601-1
                            iproute2              5.6.0-1              5.7.0-1
                            iptables            1:1.8.4-1            1:1.8.5-1
                        iptables-nft            1:1.8.4-1            1:1.8.5-1
                             libksba              1.3.5-2              1.4.0-1
                               links             2.20.2-3             2.20.2-4
                              man-db              2.9.1-2              2.9.2-1
                            pciutils              3.6.4-1              3.7.0-1
                                perl             5.30.2-1             5.30.3-1
                             pkgconf              1.6.3-4              1.7.3-1
                              sqlite             3.32.1-1             3.32.2-1
                     sqlite-analyzer             3.32.1-1             3.32.2-1
                          sqlite-doc             3.32.1-1             3.32.2-1
                          sqlite-tcl             3.32.1-1             3.32.2-1
                             systemd              245.6-1              245.6-4
                        systemd-libs              245.6-1              245.6-4
                  systemd-resolvconf              245.6-1              245.6-4
                  systemd-sysvcompat              245.6-1              245.6-4


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-04         2020-06-08
-------------------------------------------------------------------------------
            archlinux-appstream-data         20200315-1.1         20200516-1.1
                            mesa-git20.2.0_devel.124421.aaec065f03e-120.2.0_devel.124677.dd81f4853c8-1
                           pamac-cli              9.5.2-1              9.5.4-1
                        pamac-common              9.5.2-1              9.5.4-1
                pamac-flatpak-plugin              9.5.2-1              9.5.4-1
                           pamac-gtk              9.5.2-1              9.5.4-1
                   pamac-snap-plugin              9.5.2-1              9.5.4-1
             pamac-tray-appindicator              9.5.2-1              9.5.4-1
                    python-es2-pyqt5             5.14.2-3             5.15.0-1
                        qt5-es2-base             5.14.2-2             5.15.0-1
                 qt5-es2-declarative             5.14.2-2             5.15.0-1
                  qt5-es2-multimedia             5.14.2-2             5.15.0-1
                     qt5-es2-wayland             5.14.2-2             5.15.0-1
         qt5-es2-xcb-private-headers             5.14.2-2             5.15.0-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-04         2020-06-08
-------------------------------------------------------------------------------
                                a2ps              4.14-10              4.14-11
                             akonadi            20.04.1-1            20.04.1-2
                            chromium       83.0.4103.61-2       83.0.4103.97-2
                                cogl             1.22.6-1             1.22.8-1
                            composer             1.10.6-1             1.10.7-1
                        cups-filters             1.27.4-1             1.27.5-1
                              falkon             3.1.0-10             3.1.0-11
                            graphviz             2.44.0-2             2.44.0-3
                     grml-zsh-config             0.17.1-1             0.17.2-1
                         imagemagick          7.0.10.16-2          7.0.10.17-1
                     imagemagick-doc          7.0.10.16-2          7.0.10.17-1
                              irccat              0.4.5-2              0.4.5-3
                               krita              4.2.9-5              4.2.9-6
                            ktorrent              5.1.2-2              5.2.0-1
                                kwin             5.18.5-1             5.18.5-3
                               lcms2               2.10-1               2.10-2
                          libakonadi            20.04.1-1            20.04.1-2
                         libblockdev               2.23-4               2.24-1
                         libbytesize                2.2-1                2.3-1
                             libgit2            1:1.0.0-1            1:1.0.1-1
                         libktorrent              2.1.1-2              2.2.0-1
                            liblouis             3.13.0-1             3.14.0-1
                          libmagick6          6.9.11.15-1          6.9.11.16-1
                       libnumbertext              1.0.5-2              1.0.6-1
                             librsvg           2:2.48.6-1           2:2.48.7-1
                            libunrar            1:5.9.2-1            1:5.9.3-2
                             libyaml              0.2.4-1              0.2.5-1
                                lsof             4.93.2-2             4.93.2-3
                          malcontent              0.7.0-1              0.8.0-1
                           mm-common              1.0.0-2              1.0.1-1
                               msmtp             1.8.10-1             1.8.11-1
                           msmtp-mta             1.8.10-1             1.8.11-1
                 perl-compress-bzip2               2.26-8               2.27-1
                    plasma-framework             5.70.1-1             5.70.1-2
                  plasma-integration             5.18.5-1             5.18.5-2
        prometheus-blackbox-exporter             0.16.0-4             0.16.0-5
                             psutils               1.93-3               2.03-1
                             pyside2           5.14.2.1-1             5.15.0-1
                       pyside2-tools           5.14.2.1-1             5.15.0-1
                       python-django              3.0.6-2              3.0.7-1
                        python-numpy             1.18.4-1             1.18.5-1
                       python-pyqt3d             5.14.0-2             5.15.0-1
                        python-pyqt5             5.14.2-1             5.15.0-2
                    python-pyqt5-sip             12.7.2-1             12.8.0-1
                    python-pyqtchart             5.14.0-3             5.15.0-1
        python-pyqtdatavisualization             5.14.0-2             5.15.0-1
               python-pyqtpurchasing             5.14.0-2             5.15.0-1
                python-pyqtwebengine             5.14.0-4             5.15.0-2
                    python-shiboken2           5.14.2.1-2             5.15.0-1
                          python-sip            4.19.22-1            4.19.22-2
                       python2-pyqt5             5.14.2-1             5.15.0-2
               python2-pyqtwebengine             5.14.0-4             5.15.0-2
                  python2-setuptools           2:44.1.0-1           2:44.1.1-1
                   python2-sip-pyqt5            4.19.22-1            4.19.22-2
                                qemu              5.0.0-6              5.0.0-7
                     qemu-arch-extra              5.0.0-6              5.0.0-7
                  qemu-block-gluster              5.0.0-6              5.0.0-7
                    qemu-block-iscsi              5.0.0-6              5.0.0-7
                    qemu-guest-agent              5.0.0-6              5.0.0-7
                       qemu-headless              5.0.0-6              5.0.0-7
            qemu-headless-arch-extra              5.0.0-6              5.0.0-7
                  qqc2-desktop-style             5.70.0-1             5.70.0-2
                              qt5-3d           5.14.2-1.1             5.15.0-1
                            qt5-base             5.14.2-3             5.15.0-2
                          qt5-charts             5.14.2-1             5.15.0-1
                    qt5-connectivity             5.14.2-1             5.15.0-1
                       qt5-datavis3d             5.14.2-1             5.15.0-1
                     qt5-declarative             5.14.2-1             5.15.0-1
                             qt5-doc             5.14.2-1             5.15.0-1
                        qt5-examples             5.14.2-1             5.15.0-1
                         qt5-gamepad             5.14.2-1             5.15.0-1
                qt5-graphicaleffects             5.14.2-1             5.15.0-1
                    qt5-imageformats             5.14.2-1             5.15.0-1
                        qt5-location             5.14.2-2             5.15.0-1
                          qt5-lottie             5.14.2-1             5.15.0-1
                            qt5-mqtt             5.14.2-1             5.15.0-1
                      qt5-multimedia             5.14.2-1             5.15.0-1
                     qt5-networkauth             5.14.2-1             5.15.0-1
                      qt5-purchasing             5.14.2-1             5.15.0-1
                         qt5-quick3d             5.14.2-1             5.15.0-1
                   qt5-quickcontrols             5.14.2-1             5.15.0-1
                  qt5-quickcontrols2             5.14.2-1             5.15.0-1
                   qt5-remoteobjects             5.14.2-1             5.15.0-1
                          qt5-script             5.14.2-1             5.15.0-1
                           qt5-scxml             5.14.2-1             5.15.0-1
                         qt5-sensors             5.14.2-1             5.15.0-1
                       qt5-serialbus             5.14.2-1             5.15.0-1
                      qt5-serialport             5.14.2-1             5.15.0-1
                          qt5-speech             5.14.2-1             5.15.0-1
                             qt5-svg             5.14.2-1             5.15.0-1
                           qt5-tools             5.14.2-2             5.15.0-2
                    qt5-translations             5.14.2-1             5.15.0-1
                 qt5-virtualkeyboard             5.14.2-1             5.15.0-1
                         qt5-wayland             5.14.2-1             5.15.0-1
                      qt5-webchannel             5.14.2-1             5.15.0-1
                       qt5-webengine             5.14.2-3             5.15.0-1
                     qt5-webglplugin             5.14.2-1             5.15.0-1
                          qt5-webkit      5.212.0alpha4-4      5.212.0alpha4-6
                      qt5-websockets             5.14.2-1             5.15.0-1
                         qt5-webview             5.14.2-1             5.15.0-1
                       qt5-x11extras             5.14.2-1             5.15.0-1
             qt5-xcb-private-headers             5.14.2-3             5.15.0-2
                     qt5-xmlpatterns             5.14.2-1             5.15.0-1
                           qtcreator             4.12.1-1             4.12.2-1
                                 qwt              6.1.4-3              6.1.5-1
                                   r              4.0.0-2              4.0.1-1
                            rp-pppoe               3.13-2               3.14-1
                                rust           1:1.43.1-1           1:1.44.0-1
                           rust-docs           1:1.43.1-1           1:1.44.0-1
                           shiboken2           5.14.2.1-2             5.15.0-1
                             signond               8.60-2               8.60-3
                                 sip            4.19.22-1            4.19.22-2
                          subversion             1.13.0-3             1.14.0-1
                         thunderbird             68.8.1-1             68.9.0-1
                 thunderbird-i18n-ar             68.8.0-1             68.9.0-1
                thunderbird-i18n-ast             68.8.0-1             68.9.0-1
                 thunderbird-i18n-be             68.8.0-1             68.9.0-1
                 thunderbird-i18n-bg             68.8.0-1             68.9.0-1
                 thunderbird-i18n-br             68.8.0-1             68.9.0-1
                 thunderbird-i18n-ca             68.8.0-1             68.9.0-1
                 thunderbird-i18n-cs             68.8.0-1             68.9.0-1
                 thunderbird-i18n-cy             68.8.0-1             68.9.0-1
                 thunderbird-i18n-da             68.8.0-1             68.9.0-1
                 thunderbird-i18n-de             68.8.0-1             68.9.0-1
                thunderbird-i18n-dsb             68.8.0-1             68.9.0-1
                 thunderbird-i18n-el             68.8.0-1             68.9.0-1
              thunderbird-i18n-en-gb             68.8.0-1             68.9.0-1
              thunderbird-i18n-en-us             68.8.0-1             68.9.0-1
              thunderbird-i18n-es-ar             68.8.0-1             68.9.0-1
              thunderbird-i18n-es-es             68.8.0-1             68.9.0-1
                 thunderbird-i18n-et             68.8.0-1             68.9.0-1
                 thunderbird-i18n-eu             68.8.0-1             68.9.0-1
                 thunderbird-i18n-fi             68.8.0-1             68.9.0-1
                 thunderbird-i18n-fr             68.8.0-1             68.9.0-1
              thunderbird-i18n-fy-nl             68.8.0-1             68.9.0-1
              thunderbird-i18n-ga-ie             68.8.0-1             68.9.0-1
                 thunderbird-i18n-gd             68.8.0-1             68.9.0-1
                 thunderbird-i18n-gl             68.8.0-1             68.9.0-1
                 thunderbird-i18n-he             68.8.0-1             68.9.0-1
                 thunderbird-i18n-hr             68.8.0-1             68.9.0-1
                thunderbird-i18n-hsb             68.8.0-1             68.9.0-1
                 thunderbird-i18n-hu             68.8.0-1             68.9.0-1
              thunderbird-i18n-hy-am             68.8.0-1             68.9.0-1
                 thunderbird-i18n-id             68.8.0-1             68.9.0-1
                 thunderbird-i18n-is             68.8.0-1             68.9.0-1
                 thunderbird-i18n-it             68.8.0-1             68.9.0-1
                 thunderbird-i18n-ja             68.8.0-1             68.9.0-1
                 thunderbird-i18n-ko             68.8.0-1             68.9.0-1
                 thunderbird-i18n-lt             68.8.0-1             68.9.0-1
              thunderbird-i18n-nb-no             68.8.0-1             68.9.0-1
                 thunderbird-i18n-nl             68.8.0-1             68.9.0-1
              thunderbird-i18n-nn-no             68.8.0-1             68.9.0-1
                 thunderbird-i18n-pl             68.8.0-1             68.9.0-1
              thunderbird-i18n-pt-br             68.8.0-1             68.9.0-1
              thunderbird-i18n-pt-pt             68.8.0-1             68.9.0-1
                 thunderbird-i18n-rm             68.8.0-1             68.9.0-1
                 thunderbird-i18n-ro             68.8.0-1             68.9.0-1
                 thunderbird-i18n-ru             68.8.0-1             68.9.0-1
                 thunderbird-i18n-si             68.8.0-1             68.9.0-1
                 thunderbird-i18n-sk             68.8.0-1             68.9.0-1
                 thunderbird-i18n-sl             68.8.0-1             68.9.0-1
                 thunderbird-i18n-sq             68.8.0-1             68.9.0-1
                 thunderbird-i18n-sr             68.8.0-1             68.9.0-1
              thunderbird-i18n-sv-se             68.8.0-1             68.9.0-1
                 thunderbird-i18n-tr             68.8.0-1             68.9.0-1
                 thunderbird-i18n-uk             68.8.0-1             68.9.0-1
                 thunderbird-i18n-vi             68.8.0-1             68.9.0-1
              thunderbird-i18n-zh-cn             68.8.0-1             68.9.0-1
              thunderbird-i18n-zh-tw             68.8.0-1             68.9.0-1
                             udisks2              2.8.4-2              2.9.0-1
                               unrar            1:5.9.2-1            1:5.9.3-2
                           v4l-utils             1.18.1-1             1.20.0-1
                               xsane              0.999-4              0.999-5
                          xsane-gimp              0.999-4              0.999-5
                     libglib-testing                    -              0.1.0-1
                              pahole                    -               1.17-1


Testers needed on arm-testing branch
We are in need of testers for our arm-testing and 2020-06-08 branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-testing branch.

All you have to do to switch to this branch is:

  • Edit /etc/pacman-mirrors.conf and change Branch = arm-stable to Branch = arm-testing.
  • Run this command: sudo pacman-mirrors -f5 && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-testing branch.

We would then love for you to give feedback in our update posts in #manjaro-arm:arm-testing-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

Old Issues

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Great update. The thing I noticed on my pinebook pro: reboot and shutdown commands are working now.

1 Like

update & reboot via terminal done. C2 & N2 - xfce ; 5.7.1 ; sysd345.6-4

1 Like

Rockpi4b update and reboot ok - wifi works

1 Like

Hi,

yes, they were some issues, it's solved.

I updated the odroid c4, the device don't rebooted, red and blue led stayed fixed, I unplugged / plugged the power supply, it reboot.
something was wrong with samba, it's solved.
The device don't reboot with the gui but with the command line, I'm not sure, but I think it was so before the update.

The kernel is the same after the update, is it normal ?

before the update

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.0-rc7-8-MANJARO-ARM #1 SMP Sat May 30 22:55:31 CEST 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$ uptime
 08:38:37 up 4 days, 18:58,  2 users,  load average: 0,85, 0,50, 0,35
[nlc4@c4 ~]$ date -u
mar. 09 juin 2020 06:38:50 UTC
[nlc4@c4 ~]$ pacman-mirrors --get-branch
arm-testing
[nlc4@c4 ~]$ sudo pacman -Syyuu
[sudo] password for nlc4: 
:: Synchronising package databases...
 core                                                             221,0 KiB  1842 KiB/s 00:00 [#######################################################] 100%
 extra                                                              2,3 MiB  2033 KiB/s 00:01 [#######################################################] 100%
 community                                                          5,1 MiB  2,26 MiB/s 00:02 [#######################################################] 100%
:: Some packages should be upgraded first...
resolving dependencies...
looking for conflicting packages...

Packages (1) archlinux-keyring-20200603-1

Total Download Size:   0,88 MiB
Total Installed Size:  1,23 MiB
Net Upgrade Size:      0,01 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 archlinux-keyring-20200603-1-any                                 899,6 KiB  1697 KiB/s 00:01 [#######################################################] 100%
(1/1) checking keys in keyring                                                                [#######################################################] 100%
(1/1) checking package integrity                                                              [#######################################################] 100%
(1/1) loading package files                                                                   [#######################################################] 100%
(1/1) checking for file conflicts                                                             [#######################################################] 100%
(1/1) checking available disk space                                                           [#######################################################] 100%
:: Processing package changes...
(1/1) upgrading archlinux-keyring                                                             [#######################################################] 100%
==> Appending keys from archlinux.gpg...
==> Locally signing trusted keys in keyring...
  -> Locally signing key D8AFDDA07A5B6EDFA7D8CCDAD6D055F927843F1C...
  -> Locally signing key DDB867B92AA789C165EEFA799B729B06A680C281...
  -> Locally signing key 91FFE0700E80619CEB73235CA88E23E377514E00...
  -> Locally signing key 0E8B644079F599DFC1DDC3973348882F6AC6A4C2...
  -> Locally signing key AB19265E5D7D20687D303246BA1DFB64FFF979E7...
==> Importing owner trust values...
==> Disabling revoked keys in keyring...
  -> Disabling key 8F76BEEA0289F9E1D3E229C05F946DED983D4366...
  -> Disabling key 63F395DE2D6398BBE458F281F2DBB4931985A992...
  -> Disabling key 50F33E2E5B0C3D900424ABE89BDCF497A4BBCC7F...
  -> Disabling key 27FFC4769E19F096D41D9265A04F9397CDFD6BB0...
  -> Disabling key 39F880E50E49A4D11341E8F939E4F17F295AFBF4...
  -> Disabling key 8840BD07FC24CB7CE394A07CCF7037A4F27FB7DA...
  -> Disabling key 5559BC1A32B8F76B3FCCD9555FA5E5544F010D48...
  -> Disabling key 0B20CA1931F5DA3A70D0F8D2EA6836E1AB441196...
  -> Disabling key 07DFD3A0BC213FA12EDC217559B3122E2FA915EC...
  -> Disabling key 4FCF887689C41B09506BE8D5F3E1D5C5D30DB0AD...
  -> Disabling key 5A2257D19FF7E1E0E415968CE62F853100F0D0F0...
  -> Disabling key D921CABED130A5690EF1896E81AF739EC0711BF1...
  -> Disabling key 7FA647CD89891DEDC060287BB9113D1ED21E1A55...
  -> Disabling key BC1FBE4D2826A0B51E47ED62E2539214C6C11350...
  -> Disabling key 4A8B17E20B88ACA61860009B5CED81B7C2E5C0D2...
  -> Disabling key 5696C003B0854206450C8E5BE613C09CB4440678...
  -> Disabling key 684148BB25B49E986A4944C55184252D824B18E8...
  -> Disabling key 8CF934E339CAD8ABF342E822E711306E3C4F88BC...
  -> Disabling key F5A361A3A13554B85E57DDDAAF7EF7873CFD4BB6...
  -> Disabling key 5E7585ADFF106BFFBBA319DC654B877A0864983E...
  -> Disabling key 65EEFE022108E2B708CBFCF7F9E712E59AF5F22A...
  -> Disabling key 40440DC037C05620984379A6761FAD69BA06C6A9...
  -> Disabling key 34C5D94FE7E7913E86DC427E7FB1A3800C84C0A5...
  -> Disabling key 81D7F8241DB38BC759C80FCE3A726C6170E80477...
  -> Disabling key E7210A59715F6940CF9A4E36A001876699AD6E84...
  -> Disabling key 5357F3B111688D88C1D88119FCF2CB179205AC90...
  -> Disabling key 4D913AECD81726D9A6C74F0ADA6426DD215B37AD...
  -> Disabling key FB871F0131FEA4FB5A9192B4C8880A6406361833...
  -> Disabling key 66BD74A036D522F51DD70A3C7F2A16726521E06D...
  -> Disabling key B1F2C889CB2CCB2ADA36D963097D629E437520BD...
  -> Disabling key 9515D8A8EAB88E49BB65EDBCE6B456CAF15447D5...
  -> Disabling key 76B4192E902C0A52642C63C273B8ED52F1D357C1...
  -> Disabling key 40776A5221EF5AD468A4906D42A1DB15EC133BAD...
  -> Disabling key D4DE5ABDE2A7287644EAC7E36D1A9E70E19DAA50...
  -> Disabling key 44D4A033AC140143927397D47EFD567D4C7EA887...
==> Updating trust database...
gpg: next trustdb check due at 2020-10-17
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (52) archlinux-appstream-data-20200516-1.1  dhcpcd-9.1.1-1  firefox-77.0.1-1  gnupg-2.2.20-4  gnutls-3.6.14-1  iana-etc-20200601-1
              iproute2-5.7.0-1  iptables-1:1.8.5-1  kwin-5.18.5-3  lcms2-2.10-2  libblockdev-2.24-1  libbytesize-2.3-1  libgit2-1:1.0.1-1  libksba-1.4.0-1
              libnumbertext-1.0.6-1  librsvg-2:2.48.7-1  libyaml-0.2.5-1  man-db-2.9.2-1  pamac-cli-9.5.4-1  pamac-common-9.5.4-1  pamac-gtk-9.5.4-1
              pamac-tray-appindicator-9.5.4-1  pciutils-3.7.0-1  perl-5.30.3-1  pkgconf-1.7.3-1  plasma-framework-5.70.1-2  plasma-integration-5.18.5-2
              qqc2-desktop-style-5.70.0-2  qt5-base-5.15.0-2  qt5-declarative-5.15.0-1  qt5-graphicaleffects-5.15.0-1  qt5-location-5.15.0-1
              qt5-multimedia-5.15.0-1  qt5-quickcontrols-5.15.0-1  qt5-quickcontrols2-5.15.0-1  qt5-script-5.15.0-1  qt5-sensors-5.15.0-1
              qt5-speech-5.15.0-1  qt5-svg-5.15.0-1  qt5-tools-5.15.0-2  qt5-wayland-5.15.0-1  qt5-webchannel-5.15.0-1  qt5-webengine-5.15.0-1
              qt5-x11extras-5.15.0-1  signond-8.60-3  sqlite-3.32.2-1  systemd-245.6-4  systemd-libs-245.6-4  systemd-sysvcompat-245.6-4
              uboot-tools-2020.04-1  udisks2-2.9.0-1  v4l-utils-1.20.0-1

Total Download Size:   175,33 MiB
Total Installed Size:  685,43 MiB
Net Upgrade Size:       14,51 MiB

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
 iana-etc-20200601-1-any                                          371,5 KiB  2,42 MiB/s 00:00 [#######################################################] 100%
 systemd-libs-245.6-4-aarch64                                     459,9 KiB  2,64 MiB/s 00:00 [#######################################################] 100%
 perl-5.30.3-1-aarch64                                             14,0 MiB  2,32 MiB/s 00:06 [#######################################################] 100%
 iptables-1:1.8.5-1-aarch64                                       405,2 KiB  2,83 MiB/s 00:00 [#######################################################] 100%
 systemd-245.6-4-aarch64                                            5,0 MiB  2,38 MiB/s 00:02 [#######################################################] 100%
 dhcpcd-9.1.1-1-aarch64                                           178,7 KiB  2,91 MiB/s 00:00 [#######################################################] 100%
 gnutls-3.6.14-1-aarch64                                            2,5 MiB  2,71 MiB/s 00:01 [#######################################################] 100%
 sqlite-3.32.2-1-aarch64                                         1401,9 KiB  2,32 MiB/s 00:01 [#######################################################] 100%
 libksba-1.4.0-1-aarch64                                          123,6 KiB  2,41 MiB/s 00:00 [#######################################################] 100%
 gnupg-2.2.20-4-aarch64                                             2,1 MiB  2,17 MiB/s 00:01 [#######################################################] 100%
 iproute2-5.7.0-1-aarch64                                         872,7 KiB  2,03 MiB/s 00:00 [#######################################################] 100%
 man-db-2.9.2-1-aarch64                                           982,1 KiB  1116 KiB/s 00:01 [#######################################################] 100%
 pciutils-3.7.0-1-aarch64                                          89,4 KiB  2,18 MiB/s 00:00 [#######################################################] 100%
 pkgconf-1.7.3-1-aarch64                                           55,0 KiB  5,37 MiB/s 00:00 [#######################################################] 100%
 systemd-sysvcompat-245.6-4-aarch64                                 8,0 KiB  0,00   B/s 00:00 [#######################################################] 100%
 archlinux-appstream-data-20200516-1.1-any                         18,9 MiB  2,50 MiB/s 00:08 [#######################################################] 100%
 v4l-utils-1.20.0-1-aarch64                                      1098,6 KiB  1894 KiB/s 00:01 [#######################################################] 100%
 lcms2-2.10-2-aarch64                                             186,6 KiB  1333 KiB/s 00:00 [#######################################################] 100%
 librsvg-2:2.48.7-1-aarch64                                      1737,5 KiB  2,61 MiB/s 00:01 [#######################################################] 100%
 firefox-77.0.1-1-aarch64                                          44,2 MiB  2,53 MiB/s 00:17 [#######################################################] 100%
 qt5-base-5.15.0-2-aarch64                                         12,2 MiB  2,43 MiB/s 00:05 [#######################################################] 100%
 qt5-x11extras-5.15.0-1-aarch64                                    13,7 KiB  0,00   B/s 00:00 [#######################################################] 100%
 qt5-svg-5.15.0-1-aarch64                                         131,5 KiB  3,21 MiB/s 00:00 [#######################################################] 100%
 qt5-declarative-5.15.0-1-aarch64                                   4,5 MiB  2,84 MiB/s 00:02 [#######################################################] 100%
 qt5-multimedia-5.15.0-1-aarch64                                  733,6 KiB  2,76 MiB/s 00:00 [#######################################################] 100%
 qt5-speech-5.15.0-1-aarch64                                       49,7 KiB  4,86 MiB/s 00:00 [#######################################################] 100%
 libbytesize-2.3-1-aarch64                                         21,5 KiB  2,10 MiB/s 00:00 [#######################################################] 100%
 libyaml-0.2.5-1-aarch64                                           51,3 KiB  2,51 MiB/s 00:00 [#######################################################] 100%
 libblockdev-2.24-1-aarch64                                       207,9 KiB  2,54 MiB/s 00:00 [#######################################################] 100%
 udisks2-2.9.0-1-aarch64                                          913,1 KiB  2,55 MiB/s 00:00 [#######################################################] 100%
 qt5-graphicaleffects-5.15.0-1-aarch64                             70,1 KiB  3,42 MiB/s 00:00 [#######################################################] 100%
 qt5-quickcontrols-5.15.0-1-aarch64                               847,9 KiB  2,24 MiB/s 00:00 [#######################################################] 100%
 qt5-quickcontrols2-5.15.0-1-aarch64                             1437,2 KiB  2,26 MiB/s 00:01 [#######################################################] 100%
 qt5-wayland-5.15.0-1-aarch64                                    1023,2 KiB  2,56 MiB/s 00:00 [#######################################################] 100%
 plasma-framework-5.70.1-2-aarch64                                  3,9 MiB  2,45 MiB/s 00:02 [#######################################################] 100%
 qt5-sensors-5.15.0-1-aarch64                                     155,7 KiB  3,80 MiB/s 00:00 [#######################################################] 100%
 qt5-script-5.15.0-1-aarch64                                      800,6 KiB  2,61 MiB/s 00:00 [#######################################################] 100%
 kwin-5.18.5-3-aarch64                                              6,1 MiB  2,72 MiB/s 00:02 [#######################################################] 100%
 libgit2-1:1.0.1-1-aarch64                                        548,1 KiB  2,68 MiB/s 00:00 [#######################################################] 100%
 libnumbertext-1.0.6-1-aarch64                                    151,4 KiB  2,46 MiB/s 00:00 [#######################################################] 100%
 pamac-common-9.5.4-1-aarch64                                     431,7 KiB  1962 KiB/s 00:00 [#######################################################] 100%
 pamac-cli-9.5.4-1-aarch64                                         46,1 KiB  2,25 MiB/s 00:00 [#######################################################] 100%
 pamac-gtk-9.5.4-1-aarch64                                        123,4 KiB  2,41 MiB/s 00:00 [#######################################################] 100%
 pamac-tray-appindicator-9.5.4-1-aarch64                           15,5 KiB  1552 KiB/s 00:00 [#######################################################] 100%
 qqc2-desktop-style-5.70.0-2-aarch64                               63,4 KiB  3,09 MiB/s 00:00 [#######################################################] 100%
 plasma-integration-5.18.5-2-aarch64                              124,7 KiB  2,44 MiB/s 00:00 [#######################################################] 100%
 qt5-location-5.15.0-1-aarch64                                      2,6 MiB  2,38 MiB/s 00:01 [#######################################################] 100%
 qt5-tools-5.15.0-2-aarch64                                         5,3 MiB  2,18 MiB/s 00:02 [#######################################################] 100%
 qt5-webchannel-5.15.0-1-aarch64                                   67,1 KiB  3,28 MiB/s 00:00 [#######################################################] 100%
 qt5-webengine-5.15.0-1-aarch64                                    37,9 MiB  2,49 MiB/s 00:15 [#######################################################] 100%
 signond-8.60-3-aarch64                                           353,9 KiB  2,88 MiB/s 00:00 [#######################################################] 100%
 uboot-tools-2020.04-1-aarch64                                    178,3 KiB  1621 KiB/s 00:00 [#######################################################] 100%
(52/52) checking keys in keyring                                                              [#######################################################] 100%
(52/52) checking package integrity                                                            [#######################################################] 100%
(52/52) loading package files                                                                 [#######################################################] 100%
(52/52) checking for file conflicts                                                           [#######################################################] 100%
(52/52) checking available disk space                                                         [#######################################################] 100%
:: Processing package changes...
( 1/52) upgrading archlinux-appstream-data                                                    [#######################################################] 100%
( 2/52) upgrading iana-etc                                                                    [#######################################################] 100%
( 3/52) upgrading systemd-libs                                                                [#######################################################] 100%
( 4/52) upgrading perl                                                                        [#######################################################] 100%
( 5/52) upgrading iptables                                                                    [#######################################################] 100%
( 6/52) upgrading systemd                                                                     [#######################################################] 100%
( 7/52) upgrading dhcpcd                                                                      [#######################################################] 100%
( 8/52) upgrading gnutls                                                                      [#######################################################] 100%
( 9/52) upgrading v4l-utils                                                                   [#######################################################] 100%
(10/52) upgrading lcms2                                                                       [#######################################################] 100%
(11/52) upgrading librsvg                                                                     [#######################################################] 100%
(12/52) upgrading sqlite                                                                      [#######################################################] 100%
(13/52) upgrading firefox                                                                     [#######################################################] 100%
(14/52) upgrading libksba                                                                     [#######################################################] 100%
(15/52) upgrading gnupg                                                                       [#######################################################] 100%
(16/52) upgrading iproute2                                                                    [#######################################################] 100%
(17/52) upgrading qt5-base                                                                    [#######################################################] 100%
(18/52) upgrading qt5-x11extras                                                               [#######################################################] 100%
(19/52) upgrading qt5-svg                                                                     [#######################################################] 100%
(20/52) upgrading qt5-declarative                                                             [#######################################################] 100%
(21/52) upgrading qt5-multimedia                                                              [#######################################################] 100%
(22/52) upgrading qt5-speech                                                                  [#######################################################] 100%
(23/52) upgrading libbytesize                                                                 [#######################################################] 100%
(24/52) upgrading libyaml                                                                     [#######################################################] 100%
(25/52) upgrading libblockdev                                                                 [#######################################################] 100%
(26/52) upgrading udisks2                                                                     [#######################################################] 100%
(27/52) upgrading qt5-graphicaleffects                                                        [#######################################################] 100%
(28/52) upgrading qt5-quickcontrols                                                           [#######################################################] 100%
(29/52) upgrading qt5-quickcontrols2                                                          [#######################################################] 100%
(30/52) upgrading qt5-wayland                                                                 [#######################################################] 100%
(31/52) upgrading plasma-framework                                                            [#######################################################] 100%
(32/52) upgrading qt5-sensors                                                                 [#######################################################] 100%
(33/52) upgrading qt5-script                                                                  [#######################################################] 100%
(34/52) upgrading kwin                                                                        [#######################################################] 100%
(35/52) upgrading libgit2                                                                     [#######################################################] 100%
(36/52) upgrading libnumbertext                                                               [#######################################################] 100%
(37/52) upgrading man-db                                                                      [#######################################################] 100%
(38/52) upgrading pamac-common                                                                [#######################################################] 100%
(39/52) upgrading pamac-cli                                                                   [#######################################################] 100%
(40/52) upgrading pamac-gtk                                                                   [#######################################################] 100%
(41/52) upgrading pamac-tray-appindicator                                                     [#######################################################] 100%
(42/52) upgrading pciutils                                                                    [#######################################################] 100%
(43/52) upgrading pkgconf                                                                     [#######################################################] 100%
(44/52) upgrading qqc2-desktop-style                                                          [#######################################################] 100%
(45/52) upgrading plasma-integration                                                          [#######################################################] 100%
(46/52) upgrading qt5-location                                                                [#######################################################] 100%
(47/52) upgrading qt5-tools                                                                   [#######################################################] 100%
(48/52) upgrading qt5-webchannel                                                              [#######################################################] 100%
(49/52) upgrading qt5-webengine                                                               [#######################################################] 100%
(50/52) upgrading signond                                                                     [#######################################################] 100%
(51/52) upgrading systemd-sysvcompat                                                          [#######################################################] 100%
(52/52) upgrading uboot-tools                                                                 [#######################################################] 100%
:: Running post-transaction hooks...
( 1/19) Creating system user accounts...
( 2/19) Updating journal message catalog...
( 3/19) Reloading system manager configuration...
( 4/19) Updating udev hardware database...
( 5/19) Applying kernel sysctl settings...
( 6/19) Creating temporary files...
( 7/19) Reloading device manager configuration...
( 8/19) Arming ConditionNeedsUpdate...
( 9/19) Updating linux-aarch64-rc initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64-rc.preset: 'default'
  -> -k 5.7.0-rc7-8-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.7.0-rc7-8-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
(10/19) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64-rc.preset: 'default'
  -> -k 5.7.0-rc7-8-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.7.0-rc7-8-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
(11/19) Updating uimg initcpios...
Image Name:   Ramdisk Image
Created:      Tue Jun  9 08:43:44 2020
Image Type:   AArch64 Linux RAMDisk Image (uncompressed)
Data Size:    7855900 Bytes = 7671.78 KiB = 7.49 MiB
Load Address: 00000000
Entry Point:  00000000
(12/19) Reloading system bus configuration...
(13/19) Warn about old perl modules
(14/19) Probing GDK-Pixbuf loader modules...
(15/19) Updating icon theme caches...
(16/19) Updating the info directory file...
(17/19) Updating the appstream cache...
AppStream cache update completed successfully.
(18/19) Updating the desktop file MIME type cache...
(19/19) Updating the MIME type database...
[nlc4@c4 ~]$ reboot

after the update

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.0-rc7-8-MANJARO-ARM #1 SMP Sat May 30 22:55:31 CEST 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$ uptime
 09:16:34 up 2 min,  2 users,  load average: 0,65, 0,41, 0,17
[nlc4@c4 ~]$ date -u
mar. 09 juin 2020 07:16:44 UTC
[nlc4@c4 ~]$ pacman-mirrors --get-branch
arm-testing
[nlc4@c4 ~]$ sudo pacman -Syyuu
[sudo] password for nlc4: 
:: Synchronising package databases...
 core                                                             221,0 KiB  2,40 MiB/s 00:00 [#######################################################] 100%
 extra                                                              2,3 MiB  2,63 MiB/s 00:01 [#######################################################] 100%
 community                                                          5,1 MiB  2,77 MiB/s 00:02 [#######################################################] 100%
:: Starting full system upgrade...
 there is nothing to do
[nlc4@c4 ~]$ 

Since your device image was made using the linux-aarch64-rc kernel then yes. That kernel has not been updated yet. You can switch to linux-aarch64 though, which is version 5.7.1 in Unstable at this point.

Thanks for your reply.

How to switch to the kernel linux-aarch64 ?

sudo pacman -S linux-aarch64 and answer y to the replace question.

Works if you are on testing or unstable branch.
Does not work on stable branch yet.

ok, I'll try, the odroid c4 run on the testing branch.

YEAH, IT WORKS !

hola

before the kernel update, some datails

[nlc4@c4 ~]$ sudo pacman -S linux-aarch64
[sudo] password for nlc4: 
resolving dependencies...
looking for conflicting packages...
:: linux-aarch64 and linux-aarch64-rc are in conflict (linux). Remove linux-aarch64-rc? [y/N] y

Packages (2) linux-aarch64-rc-5.7.rc7-8 [removal]  linux-aarch64-5.7.1-1

Total Download Size:    69,03 MiB
Total Installed Size:  122,61 MiB
Net Upgrade Size:       -2,97 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 linux-aarch64-5.7.1-1-aarch64                                     69,0 MiB   919 KiB/s 01:17 [#######################################################] 100%
(1/1) checking keys in keyring                                                                [#######################################################] 100%
(1/1) checking package integrity                                                              [#######################################################] 100%
(1/1) loading package files                                                                   [#######################################################] 100%
(1/1) checking for file conflicts                                                             [#######################################################] 100%
(2/2) checking available disk space                                                           [#######################################################] 100%
:: Processing package changes...
(1/1) removing linux-aarch64-rc                                                               [#######################################################] 100%
(1/1) installing linux-aarch64                                                                [#######################################################] 100%
Optional dependencies for linux-aarch64
    crda: to set the correct wireless channels of your country
:: Running post-transaction hooks...
(1/5) Arming ConditionNeedsUpdate...
(2/5) Updating module dependencies...
(3/5) Updating linux-aarch64 module dependencies...
(4/5) Updating linux-aarch64 initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-aarch64.preset: 'default'
  -> -k 5.7.1-1-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.7.1-1-MANJARO-ARM
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
(5/5) Updating uimg initcpios...
Image Name:   Ramdisk Image
Created:      Tue Jun  9 10:03:04 2020
Image Type:   AArch64 Linux RAMDisk Image (uncompressed)
Data Size:    7855893 Bytes = 7671.77 KiB = 7.49 MiB
Load Address: 00000000
Entry Point:  00000000
[nlc4@c4 ~]$ 

after this successful update

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.1-1-MANJARO-ARM #1 SMP Sun Jun 7 23:06:14 CEST 2020 aarch64 GNU/Linux
[nlc4@c4 ~]$ screenfetch
                             nlc4@c4.test.2020.05.14
                             OS: Manjaro-ARM 20.06
                             Kernel: aarch64 Linux 5.7.1-1-MANJARO-ARM
         #####               Uptime: 6m
        #######              Packages: Unknown
        ##O#O##              Shell: bash 5.0.17
        #######              Resolution: 1920x1080
      ###########            DE: KDE 5.70.0 / Plasma 5.18.5
     #############           WM: KWin
    ###############          GTK Theme: Breeze [GTK2/3]
    ################         Icon Theme: breeze
   #################         Disk: 145G / 178G (83%)
 #####################       CPU: Unknown @ 4x 1.908GHz
 #####################       GPU: 
   #################         RAM: 582MiB / 3628MiB
                            
                            
                            
[nlc4@c4 ~]$ 


Testing update today, see below.

[nlc4@c4 ~]$ sudo pacman -Syyuu
[sudo] password for nlc4: 
:: Synchronising package databases...
 core                                                             221,0 KiB  2,40 MiB/s 00:00 [#######################################################] 100%
 extra                                                              2,3 MiB  2,86 MiB/s 00:01 [#######################################################] 100%
 community                                                          5,1 MiB  2,49 MiB/s 00:02 [#######################################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (3) breath2-icon-themes-1.0.9-1  plasma5-themes-breath2-1.0.9-1  sddm-breath2-theme-1.0.9-1

Total Download Size:   14,67 MiB
Total Installed Size:  39,74 MiB
Net Upgrade Size:       5,31 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 breath2-icon-themes-1.0.9-1-any                                    4,8 MiB  2,49 MiB/s 00:02 [#######################################################] 100%
 plasma5-themes-breath2-1.0.9-1-any                                 9,5 MiB  2,53 MiB/s 00:04 [#######################################################] 100%
 sddm-breath2-theme-1.0.9-1-any                                   415,8 KiB  2,90 MiB/s 00:00 [#######################################################] 100%
(3/3) checking keys in keyring                                                                [#######################################################] 100%
(3/3) checking package integrity                                                              [#######################################################] 100%
(3/3) loading package files                                                                   [#######################################################] 100%
(3/3) checking for file conflicts                                                             [#######################################################] 100%
(3/3) checking available disk space                                                           [#######################################################] 100%
:: Processing package changes...
(1/3) upgrading breath2-icon-themes                                                           [#######################################################] 100%
(2/3) upgrading plasma5-themes-breath2                                                        [#######################################################] 100%
(3/3) upgrading sddm-breath2-theme                                                            [#######################################################] 100%
:: Running post-transaction hooks...
(1/2) Arming ConditionNeedsUpdate...
(2/2) Updating icon theme caches...
[nlc4@c4 ~]$ date -u
mer. 10 juin 2020 07:24:51 UTC
[nlc4@c4 ~]$ 

bug report.

My c4 is running with a emmc module, the odroid c4 don't reboot (gui and cli) if I plug a sd card on the c4, if I plug a sd card on the c4 slot.

The red led is on, the blue led is off.

get adb error after update (kde and xfce):
adb: error while loading shared libraries: libprotobuf-lite.so.22: cannot open shared object file: No such file or directory

Is ADB from an AUR package?

If it is, it needs to be rebuilt. :slight_smile:

its from the official repository

Seems to be from android-studio, which has not been updated since march.

I will do an overlay package when I get home. :slight_smile:

cool, don't hurry :sunglasses:

Seems it's not buildable at this time. Not even on x86_64. It can't fetch the git source for selinux. :frowning:

Wire refuses to start and claims electron6 would be needed. But electron9 is installed

Thanks. I know why. Fixing it in next update!

Forum kindly sponsored by